Bug 809863 - knotify4 memory leak when waking from suspend to RAM
knotify4 memory leak when waking from suspend to RAM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
15
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 10:20 EDT by bugzilla
Modified: 2012-08-07 15:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:04:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bugzilla 2012-04-04 10:20:42 EDT
Description of problem:
Upon waking the computer from suspend to RAM, knotify4 leaks memory, growing to around 2GB of RAM in under half an hour. Killing the process resolves the problem.

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/knotify4
kdebase-runtime-4.6.5-1.fc15.i686

How reproducible:
Suspend the computer to RAM, then wake it up. The memory leak does not happen every time; I would estimate that it happens in roughly 1 out of 10 or 20 times.

Steps to Reproduce:
1. Suspend the computer to RAM.
2. Wake computer.
3. Wait for knotify4 to eat all the memory.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Bříza 2012-06-19 10:00:51 EDT
I believe this bug is related to https://bugs.kde.org/show_bug.cgi?id=281509 but I'm not 100% sure. If you could please try to reproduce it and provide more information (such as strace log or if some other process is trying to show notifications), it would be much easier to decide.
Thanks you.
Comment 2 bugzilla 2012-06-19 17:10:51 EDT
I have recently upgraded to Fedora 17, and I haven't seen the memory leak problem (yet). If it does happen again, I'll try to get more information.

(In reply to comment #1)
> I believe this bug is related to https://bugs.kde.org/show_bug.cgi?id=281509
> but I'm not 100% sure. If you could please try to reproduce it and provide
> more information (such as strace log or if some other process is trying to
> show notifications), it would be much easier to decide.
> Thanks you.
Comment 3 Fedora End Of Life 2012-08-07 15:04:18 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.